Upgrade Chef Server to 11.1.1-1


#1

Getting the following message trying to upgrade Chef Server:

Examining chef-server-11.1.1-1.el6.x86_64.rpm:
chef-server-11.1.1-1.el6.x86_64
Cannot install package chef-server-11.1.1-1.el6.x86_64. It is obsoleted by
installed package chef-server-11.0.12-1.el6.x86_64

JOHN HASTY
Software as a Service - DevOps
Software Group

Phone: 1-512-804-9968 IBM
E-mail: jahasty@us.ibm.com
2407 S Congress Ave Ste E-350
Austin, TX 78704
United States


#2

Hi John,

This is actually an issue with chef-server pre 11.1.0 and has been fixed in
all versions since. The problem is that our package metadata used to
indicate that the chef-server package replaces a package called
chef-server, so once you’ve got it installed and you try to install
something of the name “chef-server”, it notifies you that another package
that you have installed already replaces this.

Here’s the commit to omnibus-chef-server that addressed this issue:

You’re safe to force-install the package and ignore this warning.

Cheers,
Stephen

On Mon, Jun 23, 2014 at 9:08 PM, JOHN HASTY jahasty@us.ibm.com wrote:

Getting the following message trying to upgrade Chef Server:

Examining chef-server-11.1.1-1.el6.x86_64.rpm:
chef-server-11.1.1-1.el6.x86_64
Cannot install package chef-server-11.1.1-1.el6.x86_64. It is obsoleted by
installed package chef-server-11.0.12-1.el6.x86_64

JOHN HASTY
Software as a Service - DevOps
Software Group

Phone: 1-512-804-9968

2407 S Congress Ave Ste E-350
Austin, TX 78704
United States


Stephen Delano
Software Development Engineer
Opscode, Inc.
1008 Western Avenue
Suite 601
Seattle, WA 98104